# ncurses 5.9 - patch 20120902 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20120902.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Mon Sep  3 00:51:11 UTC 2012
# ------------------------------------------------------------------------------
# NEWS                     |    5 +
# configure                |  168 ++++++++++++++++++++++-----------------------
# dist.mk                  |    4 -
# package/debian/changelog |    4 -
# package/ncurses.spec     |    2 
# 5 files changed, 93 insertions(+), 90 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.1949 
--- ncurses-5.9-20120901+/NEWS	2012-09-01 23:35:55.000000000 +0000
+++ ncurses-5.9-20120902/NEWS	2012-09-02 16:59:41.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1949 2012/09/01 23:35:55 tom Exp $
+-- $Id: NEWS,v 1.1950 2012/09/02 16:59:41 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,9 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20120902
+	+ regenerate configure script (report by Sven Joachim, cf: 20120901).
+
 20120901
 	+ add a null-pointer check in _nc_flush (cf: 20120825).
 	+ fix a case in _nc_scroll_optimize() where the _oldnums_list array
Index: configure
--- ncurses-5.9-20120901+/configure	2012-08-26 14:01:27.000000000 +0000
+++ ncurses-5.9-20120902/configure	2012-09-02 16:58:00.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.552 .
+# From configure.in Revision: 1.553 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20120811.
 #
@@ -1425,7 +1425,7 @@
 else
   cf_with_ada=yes
 fi;
-if test x"$cf_with_ada" = xyes
+if test "x$cf_with_ada" = xyes
 then
 	cf_PROG_CC="gnatgcc gcc cc"
 else
@@ -3683,7 +3683,7 @@
 
 else
     cf_cv_mixedcase=$enable_mixedcase
-    if test "$enable_mixedcase" = "yes" ; then
+    if test "x$enable_mixedcase" = "xyes" ; then
         cat >>confdefs.h <<\EOF
 #define MIXEDCASE_FILENAMES 1
 EOF
@@ -4276,8 +4276,8 @@
 # Check whether --with-install-prefix or --without-install-prefix was given.
 if test "${with_install_prefix+set}" = set; then
   withval="$with_install_prefix"
-  case "$withval" in #(vi
-	yes|no) #(vi
+  case "x$withval" in #(vi
+	xyes|xno) #(vi
 		;;
 	*)	DESTDIR="$withval"
 		;;
@@ -4642,7 +4642,7 @@
 fi;
 echo "$as_me:4643: result: $with_shared" >&5
 echo "${ECHO_T}$with_shared" >&6
-test "$with_shared" = "yes" && cf_list_models="$cf_list_models shared"
+test "x$with_shared" = "xyes" && cf_list_models="$cf_list_models shared"
 
 echo "$as_me:4647: checking if you want to build static libraries" >&5
 echo $ECHO_N "checking if you want to build static libraries... $ECHO_C" >&6
@@ -4656,7 +4656,7 @@
 fi;
 echo "$as_me:4657: result: $with_normal" >&5
 echo "${ECHO_T}$with_normal" >&6
-test "$with_normal" = "yes" && cf_list_models="$cf_list_models normal"
+test "x$with_normal" = "xyes" && cf_list_models="$cf_list_models normal"
 
 echo "$as_me:4661: checking if you want to build debug libraries" >&5
 echo $ECHO_N "checking if you want to build debug libraries... $ECHO_C" >&6
@@ -4670,7 +4670,7 @@
 fi;
 echo "$as_me:4671: result: $with_debug" >&5
 echo "${ECHO_T}$with_debug" >&6
-test "$with_debug" = "yes" && cf_list_models="$cf_list_models debug"
+test "x$with_debug" = "xyes" && cf_list_models="$cf_list_models debug"
 
 echo "$as_me:4675: checking if you want to build profiling libraries" >&5
 echo $ECHO_N "checking if you want to build profiling libraries... $ECHO_C" >&6
@@ -4684,7 +4684,7 @@
 fi;
 echo "$as_me:4685: result: $with_profile" >&5
 echo "${ECHO_T}$with_profile" >&6
-test "$with_profile" = "yes" && cf_list_models="$cf_list_models profile"
+test "x$with_profile" = "xyes" && cf_list_models="$cf_list_models profile"
 
 fi
 
@@ -4932,7 +4932,7 @@
 fi;
 	echo "$as_me:4933: result: $with_dlsym" >&5
 echo "${ECHO_T}$with_dlsym" >&6
-	if test "$with_dlsym" = yes ; then
+	if test "x$with_dlsym" = xyes ; then
 
 cf_have_dlsym=no
 echo "$as_me:4938: checking for dlsym" >&5
@@ -5112,7 +5112,7 @@
    { (exit 1); exit 1; }; }
 fi
 
-		if test "$with_gpm" != yes ; then
+		if test "x$with_gpm" != xyes ; then
 			test -n "$verbose" && echo "	assuming soname for gpm is $with_gpm" 1>&6
 
 echo "${as_me:-configure}:5118: testing assuming soname for gpm is $with_gpm ..." 1>&5
@@ -5347,12 +5347,12 @@
 
 if test X"$CC_G_OPT" = X"" ; then
 	CC_G_OPT='-g'
-	test -n "$GCC" && test "${ac_cv_prog_cc_g}" != yes && CC_G_OPT=''
+	test -n "$GCC" && test "x${ac_cv_prog_cc_g}" != xyes && CC_G_OPT=''
 fi
 
 if test X"$CXX_G_OPT" = X"" ; then
 	CXX_G_OPT='-g'
-	test -n "$GXX" && test "${ac_cv_prog_cxx_g}" != yes && CXX_G_OPT=''
+	test -n "$GXX" && test "x${ac_cv_prog_cxx_g}" != xyes && CXX_G_OPT=''
 fi
 
 echo "$as_me:5358: checking for default loader flags" >&5
@@ -6496,7 +6496,7 @@
 fi;
 echo "$as_me:6497: result: $with_big_core" >&5
 echo "${ECHO_T}$with_big_core" >&6
-test "$with_big_core" = "yes" && cat >>confdefs.h <<\EOF
+test "x$with_big_core" = "xyes" && cat >>confdefs.h <<\EOF
 #define HAVE_BIG_CORE 1
 EOF
 
@@ -6531,7 +6531,7 @@
 echo "${ECHO_T}$with_big_strings" >&6
 
 USE_BIG_STRINGS=0
-test "$with_big_strings" = "yes" && USE_BIG_STRINGS=1
+test "x$with_big_strings" = "xyes" && USE_BIG_STRINGS=1
 
 ###	use option --enable-termcap to compile in the termcap fallback support
 echo "$as_me:6537: checking if you want termcap-fallback support" >&5
@@ -6547,7 +6547,7 @@
 echo "$as_me:6547: result: $with_termcap" >&5
 echo "${ECHO_T}$with_termcap" >&6
 
-if test "$with_termcap" != "yes" ; then
+if test "x$with_termcap" != "xyes" ; then
 	if test "$use_database" = no ; then
 		if test -z "$with_fallback" ; then
 			{ { echo "$as_me:6553: error: You have disabled the database w/o specifying fallbacks" >&5
@@ -6643,7 +6643,7 @@
 fi;
 echo "$as_me:6644: result: $with_getcap" >&5
 echo "${ECHO_T}$with_getcap" >&6
-test "$with_getcap" = "yes" && cat >>confdefs.h <<\EOF
+test "x$with_getcap" = "xyes" && cat >>confdefs.h <<\EOF
 #define USE_GETCAP 1
 EOF
 
@@ -6659,7 +6659,7 @@
 fi;
 echo "$as_me:6660: result: $with_getcap_cache" >&5
 echo "${ECHO_T}$with_getcap_cache" >&6
-test "$with_getcap_cache" = "yes" && cat >>confdefs.h <<\EOF
+test "x$with_getcap_cache" = "xyes" && cat >>confdefs.h <<\EOF
 #define USE_GETCAP_CACHE 1
 EOF
 
@@ -6678,7 +6678,7 @@
 fi;
 echo "$as_me:6679: result: $with_home_terminfo" >&5
 echo "${ECHO_T}$with_home_terminfo" >&6
-test "$with_home_terminfo" = "yes" && cat >>confdefs.h <<\EOF
+test "x$with_home_terminfo" = "xyes" && cat >>confdefs.h <<\EOF
 #define USE_HOME_TERMINFO 1
 EOF
 
@@ -6694,7 +6694,7 @@
 fi;
 echo "$as_me:6695: result: $with_root_environ" >&5
 echo "${ECHO_T}$with_root_environ" >&6
-test "$with_root_environ" = yes && cat >>confdefs.h <<\EOF
+test "x$with_root_environ" = xyes && cat >>confdefs.h <<\EOF
 #define USE_ROOT_ENVIRON 1
 EOF
 
@@ -6932,7 +6932,7 @@
 
 # soft links (symbolic links) are useful for some systems where hard links do
 # not work, or to make it simpler to copy terminfo trees around.
-if test "$ac_cv_func_symlink" = yes ; then
+if test "x$ac_cv_func_symlink" = xyes ; then
     echo "$as_me:6936: checking if tic should use symbolic links" >&5
 echo $ECHO_N "checking if tic should use symbolic links... $ECHO_C" >&6
 
@@ -6952,7 +6952,7 @@
 if test "$with_symlinks" = no ; then
     echo "$as_me:6953: checking if tic should use hard links" >&5
 echo $ECHO_N "checking if tic should use hard links... $ECHO_C" >&6
-    if test "$ac_cv_func_link" = yes ; then
+    if test "x$ac_cv_func_link" = xyes ; then
 	with_links=yes
     else
 	with_links=no
@@ -6961,11 +6961,11 @@
 echo "${ECHO_T}$with_links" >&6
 fi
 
-test "$with_links" = yes && cat >>confdefs.h <<\EOF
+test "x$with_links" = xyes && cat >>confdefs.h <<\EOF
 #define USE_LINKS 1
 EOF
 
-test "$with_symlinks" = yes && cat >>confdefs.h <<\EOF
+test "x$with_symlinks" = xyes && cat >>confdefs.h <<\EOF
 #define USE_SYMLINKS 1
 EOF
 
@@ -6984,7 +6984,7 @@
 echo "${ECHO_T}$with_broken_linker" >&6
 
 BROKEN_LINKER=0
-if test "$with_broken_linker" = yes ; then
+if test "x$with_broken_linker" = xyes ; then
 	cat >>confdefs.h <<\EOF
 #define BROKEN_LINKER 1
 EOF
@@ -7019,7 +7019,7 @@
 fi;
 echo "$as_me:7020: result: $with_bsdpad" >&5
 echo "${ECHO_T}$with_bsdpad" >&6
-test "$with_bsdpad" = yes && cat >>confdefs.h <<\EOF
+test "x$with_bsdpad" = xyes && cat >>confdefs.h <<\EOF
 #define BSD_TPUTS 1
 EOF
 
@@ -8409,7 +8409,7 @@
 fi;
 echo "$as_me:8410: result: $with_widec" >&5
 echo "${ECHO_T}$with_widec" >&6
-if test "$with_widec" = yes ; then
+if test "x$with_widec" = xyes ; then
 	LIB_SUFFIX="w${LIB_SUFFIX}"
 	cat >>confdefs.h <<\EOF
 #define USE_WIDEC_SUPPORT 1
@@ -8630,7 +8630,7 @@
 fi
 done
 
-	if test "$ac_cv_func_putwc" != yes ; then
+	if test "x$ac_cv_func_putwc" != xyes ; then
 
 echo "$as_me:8635: checking for multibyte character support" >&5
 echo $ECHO_N "checking for multibyte character support... $ECHO_C" >&6
@@ -9547,7 +9547,7 @@
 echo "$as_me:9547: result: $with_lp64" >&5
 echo "${ECHO_T}$with_lp64" >&6
 
-if test "$with_lp64" = yes ; then
+if test "x$with_lp64" = xyes ; then
 	cf_cv_enable_lp64=1
 else
 	cf_cv_enable_lp64=0
@@ -10050,7 +10050,7 @@
 echo "$as_me:10050: result: $with_tparm_varargs" >&5
 echo "${ECHO_T}$with_tparm_varargs" >&6
 NCURSES_TPARM_VARARGS=0
-test "$with_tparm_varargs" = yes && NCURSES_TPARM_VARARGS=1
+test "x$with_tparm_varargs" = xyes && NCURSES_TPARM_VARARGS=1
 
 ###   use option --disable-tic-depends to make libtic not explicitly depend on ncurses/ncursesw
 if test "$with_ticlib" != no ; then
@@ -10181,7 +10181,7 @@
 fi;
 echo "$as_me:10182: result: $with_rcs_ids" >&5
 echo "${ECHO_T}$with_rcs_ids" >&6
-test "$with_rcs_ids" = yes && cat >>confdefs.h <<\EOF
+test "x$with_rcs_ids" = xyes && cat >>confdefs.h <<\EOF
 #define USE_RCS_IDS 1
 EOF
 
@@ -10731,7 +10731,7 @@
 fi;
 echo "$as_me:10732: result: $with_ext_funcs" >&5
 echo "${ECHO_T}$with_ext_funcs" >&6
-if test "$with_ext_funcs" = yes ; then
+if test "x$with_ext_funcs" = xyes ; then
 	NCURSES_EXT_FUNCS=1
 	cat >>confdefs.h <<\EOF
 #define HAVE_ASSUME_DEFAULT_COLORS 1
@@ -10795,7 +10795,7 @@
 fi;
 echo "$as_me:10796: result: $with_sp_funcs" >&5
 echo "${ECHO_T}$with_sp_funcs" >&6
-if test "$with_sp_funcs" = yes ; then
+if test "x$with_sp_funcs" = xyes ; then
 	NCURSES_SP_FUNCS=1
 	cat >>confdefs.h <<\EOF
 #define NCURSES_SP_FUNCS 1
@@ -10819,12 +10819,12 @@
 fi;
 echo "$as_me:10820: result: $with_term_driver" >&5
 echo "${ECHO_T}$with_term_driver" >&6
-if test "$with_term_driver" = yes ; then
+if test "x$with_term_driver" = xyes ; then
 	cat >>confdefs.h <<\EOF
 #define USE_TERM_DRIVER 1
 EOF
 
-	if test "$with_sp_funcs" != yes ; then
+	if test "x$with_sp_funcs" != xyes ; then
 		{ { echo "$as_me:10828: error: The term-driver option relies upon sp-funcs" >&5
 echo "$as_me: error: The term-driver option relies upon sp-funcs" >&2;}
    { (exit 1); exit 1; }; }
@@ -10845,7 +10845,7 @@
 echo "$as_me:10845: result: $with_ext_const" >&5
 echo "${ECHO_T}$with_ext_const" >&6
 NCURSES_CONST='/*nothing*/'
-if test "$with_ext_const" = yes ; then
+if test "x$with_ext_const" = xyes ; then
 	NCURSES_CONST=const
 fi
 
@@ -10863,8 +10863,8 @@
 echo "$as_me:10863: result: $with_ext_colors" >&5
 echo "${ECHO_T}$with_ext_colors" >&6
 NCURSES_EXT_COLORS=0
-if test "$with_ext_colors" = yes ; then
-	if test "$with_widec" != yes ; then
+if test "x$with_ext_colors" = xyes ; then
+	if test "x$with_widec" != xyes ; then
 		{ { echo "$as_me:10868: error: This option applies only to wide-character library" >&5
 echo "$as_me: error: This option applies only to wide-character library" >&2;}
    { (exit 1); exit 1; }; }
@@ -10904,7 +10904,7 @@
 echo "$as_me:10904: result: $with_ext_mouse" >&5
 echo "${ECHO_T}$with_ext_mouse" >&6
 NCURSES_MOUSE_VERSION=1
-if test "$with_ext_mouse" = yes ; then
+if test "x$with_ext_mouse" = xyes ; then
 	NCURSES_MOUSE_VERSION=2
 
 if test "${with_abi_version+set}" != set; then
@@ -10932,7 +10932,7 @@
 fi;
 echo "$as_me:10933: result: $with_no_padding" >&5
 echo "${ECHO_T}$with_no_padding" >&6
-test "$with_no_padding" = yes && cat >>confdefs.h <<\EOF
+test "x$with_no_padding" = xyes && cat >>confdefs.h <<\EOF
 #define NCURSES_NO_PADDING 1
 EOF
 
@@ -11375,7 +11375,7 @@
 fi;
 echo "$as_me:11376: result: $with_signed_char" >&5
 echo "${ECHO_T}$with_signed_char" >&6
-test "$with_signed_char" != yes && NCURSES_SBOOL="char"
+test "x$with_signed_char" != xyes && NCURSES_SBOOL="char"
 
 ###   use option --enable-sigwinch to turn on use of SIGWINCH logic
 echo "$as_me:11381: checking if you want SIGWINCH handler" >&5
@@ -11390,7 +11390,7 @@
 fi;
 echo "$as_me:11391: result: $with_sigwinch" >&5
 echo "${ECHO_T}$with_sigwinch" >&6
-test "$with_sigwinch" = yes && cat >>confdefs.h <<\EOF
+test "x$with_sigwinch" = xyes && cat >>confdefs.h <<\EOF
 #define USE_SIGWINCH 1
 EOF
 
@@ -11408,7 +11408,7 @@
 echo "$as_me:11408: result: $with_tcap_names" >&5
 echo "${ECHO_T}$with_tcap_names" >&6
 NCURSES_XNAMES=0
-test "$with_tcap_names" = yes && NCURSES_XNAMES=1
+test "x$with_tcap_names" = xyes && NCURSES_XNAMES=1
 
 ###############################################################################
 # These options are relatively safe to experiment with.
@@ -11439,7 +11439,7 @@
 fi;
 echo "$as_me:11440: result: $enable_hard_tabs" >&5
 echo "${ECHO_T}$enable_hard_tabs" >&6
-test "$enable_hard_tabs" = yes && cat >>confdefs.h <<\EOF
+test "x$enable_hard_tabs" = xyes && cat >>confdefs.h <<\EOF
 #define USE_HARD_TABS 1
 EOF
 
@@ -11456,7 +11456,7 @@
 fi;
 echo "$as_me:11457: result: $enable_xmc_glitch" >&5
 echo "${ECHO_T}$enable_xmc_glitch" >&6
-test "$enable_xmc_glitch" = yes && cat >>confdefs.h <<\EOF
+test "x$enable_xmc_glitch" = xyes && cat >>confdefs.h <<\EOF
 #define USE_XMC_SUPPORT 1
 EOF
 
@@ -11475,7 +11475,7 @@
 fi;
 echo "$as_me:11476: result: $with_assumed_color" >&5
 echo "${ECHO_T}$with_assumed_color" >&6
-test "$with_assumed_color" = yes && cat >>confdefs.h <<\EOF
+test "x$with_assumed_color" = xyes && cat >>confdefs.h <<\EOF
 #define USE_ASSUMED_COLOR 1
 EOF
 
@@ -11492,7 +11492,7 @@
 fi;
 echo "$as_me:11493: result: $with_hashmap" >&5
 echo "${ECHO_T}$with_hashmap" >&6
-test "$with_hashmap" = yes && cat >>confdefs.h <<\EOF
+test "x$with_hashmap" = xyes && cat >>confdefs.h <<\EOF
 #define USE_HASHMAP 1
 EOF
 
@@ -11509,7 +11509,7 @@
 fi;
 echo "$as_me:11510: result: $with_colorfgbg" >&5
 echo "${ECHO_T}$with_colorfgbg" >&6
-test "$with_colorfgbg" = yes && cat >>confdefs.h <<\EOF
+test "x$with_colorfgbg" = xyes && cat >>confdefs.h <<\EOF
 #define USE_COLORFGBG 1
 EOF
 
@@ -11528,7 +11528,7 @@
 echo "${ECHO_T}$with_exp_interop" >&6
 
 NCURSES_INTEROP_FUNCS=0
-test "$with_exp_interop" = yes && NCURSES_INTEROP_FUNCS=1
+test "x$with_exp_interop" = xyes && NCURSES_INTEROP_FUNCS=1
 
 # This is still experimental (20080329), but should ultimately be moved to
 # the script-block --with-normal, etc.
@@ -11727,7 +11727,7 @@
 fi;
 		echo "$as_me:11728: result: $use_pthreads_eintr" >&5
 echo "${ECHO_T}$use_pthreads_eintr" >&6
-		if test $use_pthreads_eintr = yes ; then
+		if test "x$use_pthreads_eintr" = xyes ; then
 			cat >>confdefs.h <<\EOF
 #define USE_PTHREADS_EINTR 1
 EOF
@@ -11747,7 +11747,7 @@
 fi;
 	echo "$as_me:11748: result: $use_weak_symbols" >&5
 echo "${ECHO_T}$use_weak_symbols" >&6
-	if test "$use_weak_symbols" = yes ; then
+	if test "x$use_weak_symbols" = xyes ; then
 
 echo "$as_me:11752: checking if $CC supports weak symbols" >&5
 echo $ECHO_N "checking if $CC supports weak symbols... $ECHO_C" >&6
@@ -11809,7 +11809,7 @@
 		cf_cv_weak_symbols=no
 	fi
 
-	if test $cf_cv_weak_symbols = yes ; then
+	if test "x$cf_cv_weak_symbols" = xyes ; then
 		cat >>confdefs.h <<\EOF
 #define USE_WEAK_SYMBOLS 1
 EOF
@@ -11818,13 +11818,13 @@
 fi
 
 PTHREAD=
-if test "$with_pthread" = "yes" ; then
+if test "x$with_pthread" = "xyes" ; then
     cat >>confdefs.h <<\EOF
 #define USE_PTHREADS 1
 EOF
 
     enable_reentrant=yes
-    if test $cf_cv_weak_symbols = yes ; then
+    if test "x$cf_cv_weak_symbols" = xyes ; then
         PTHREAD=-lpthread
     fi
 fi
@@ -11845,12 +11845,12 @@
 fi;
 echo "$as_me:11846: result: $with_reentrant" >&5
 echo "${ECHO_T}$with_reentrant" >&6
-if test "$with_reentrant" = yes ; then
+if test "x$with_reentrant" = xyes ; then
 	cf_cv_enable_reentrant=1
 	cf_cv_enable_opaque="NCURSES_INTERNALS"
 	NCURSES_OPAQUE=1
 	NCURSES_SIZE_T=int
-	if test $cf_cv_weak_symbols = yes ; then
+	if test "x$cf_cv_weak_symbols" = xyes ; then
 
 # remove pthread library from $LIBS
 LIBS=`echo "$LIBS" | sed -e 's/-lpthread[ 	]//g' -e 's/-lpthread$//'`
@@ -11916,7 +11916,7 @@
 fi;
 echo "$as_me:11917: result: $with_safe_sprintf" >&5
 echo "${ECHO_T}$with_safe_sprintf" >&6
-test "$with_safe_sprintf" = yes && cat >>confdefs.h <<\EOF
+test "x$with_safe_sprintf" = xyes && cat >>confdefs.h <<\EOF
 #define USE_SAFE_SPRINTF 1
 EOF
 
@@ -11935,7 +11935,7 @@
 fi;
 echo "$as_me:11936: result: $with_scroll_hints" >&5
 echo "${ECHO_T}$with_scroll_hints" >&6
-test "$with_scroll_hints" = yes && cat >>confdefs.h <<\EOF
+test "x$with_scroll_hints" = xyes && cat >>confdefs.h <<\EOF
 #define USE_SCROLL_HINTS 1
 EOF
 
@@ -11953,7 +11953,7 @@
 fi;
 echo "$as_me:11954: result: $with_wgetch_events" >&5
 echo "${ECHO_T}$with_wgetch_events" >&6
-test "$with_wgetch_events" = yes && cat >>confdefs.h <<\EOF
+test "x$with_wgetch_events" = xyes && cat >>confdefs.h <<\EOF
 #define NCURSES_WGETCH_EVENTS 1
 EOF
 
@@ -11998,7 +11998,7 @@
 echo "$as_me:11998: result: $enableval" >&5
 echo "${ECHO_T}$enableval" >&6
 
-if test "$enable_echo" = yes; then
+if test "x$enable_echo" = xyes; then
 	ECHO_LINK=
 else
 	ECHO_LINK='@ echo linking $@ ... ;'
@@ -12231,7 +12231,7 @@
 fi
 rm -rf conftest*
 
-	if test "$cf_with_cxx" = yes ; then
+	if test "x$cf_with_cxx" = xyes ; then
 
 INTEL_CPLUSPLUS=no
 
@@ -13241,7 +13241,7 @@
 # Check whether --enable-expanded or --disable-expanded was given.
 if test "${enable_expanded+set}" = set; then
   enableval="$enable_expanded"
-  test "$enableval" = yes && cat >>confdefs.h <<\EOF
+  test "x$enableval" = xyes && cat >>confdefs.h <<\EOF
 #define NCURSES_EXPANDED 1
 EOF
 
@@ -13280,7 +13280,7 @@
 echo "$as_me:13280: result: $cf_with_trace" >&5
 echo "${ECHO_T}$cf_with_trace" >&6
 
-if test "$cf_with_trace" = yes ; then
+if test "x$cf_with_trace" = xyes ; then
 	LIB_TRACING=all
 	ADA_TRACE=TRUE
 
@@ -14446,7 +14446,7 @@
 
 # check for ISC (this may also define _POSIX_SOURCE)
 # Note: even non-Posix ISC needs <sys/bsdtypes.h> to declare fd_set
-if test "$ISC" = yes ; then
+if test "x$ISC" = xyes ; then
 
 echo "$as_me:14451: checking for main in -lcposix" >&5
 echo $ECHO_N "checking for main in -lcposix... $ECHO_C" >&6
@@ -15494,7 +15494,7 @@
 fi
 done
 
-if test "$with_getcap" = "yes" ; then
+if test "x$with_getcap" = "xyes" ; then
 
 echo "$as_me:15499: checking for terminal-capability database functions" >&5
 echo $ECHO_N "checking for terminal-capability database functions... $ECHO_C" >&6
@@ -16337,7 +16337,7 @@
 	HAVE_VSSCANF=0
 fi
 
-if test "$cross_compiling" = yes ; then
+if test "x$cross_compiling" = xyes ; then
 	{ echo "$as_me:16341: WARNING: cross compiling: assume setvbuf params not reversed" >&5
 echo "$as_me: WARNING: cross compiling: assume setvbuf params not reversed" >&2;}
 else
@@ -17542,7 +17542,7 @@
 #define USE_XTERM_PTY 1
 EOF
 
-    if test "$cf_cv_lib_util" = yes ; then
+    if test "x$cf_cv_lib_util" = xyes ; then
         TEST_LIBS="-lutil $TEST_LIBS"
     fi
 fi
@@ -19366,7 +19366,7 @@
    fi
 fi
 
-		if test	"$cf_cv_prog_gnat_correct" = yes; then
+		if test	"x$cf_cv_prog_gnat_correct" = xyes; then
 
  	ADAFLAGS="$ADAFLAGS -gnatpn"
 
@@ -19765,7 +19765,7 @@
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
-if test "$cf_with_progs" = yes || test "$with_ticlib" != no || test "$with_termcap" != no; then
+if test "x$cf_with_progs" = xyes || test "$with_ticlib" != no || test "$with_termcap" != no; then
 	LIB_SUBSETS="${LIB_SUBSETS}ticlib"
 	if test "$with_ticlib" != no ; then
 		LIB_SUBSETS="${LIB_SUBSETS} "
@@ -19775,7 +19775,7 @@
 fi
 
 LIB_SUBSETS="${LIB_SUBSETS}termlib"
-test "$with_ext_funcs" = yes && LIB_SUBSETS="${LIB_SUBSETS}+ext_tinfo"
+test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_tinfo"
 
 if test "$with_termlib" != no ; then
 	LIB_SUBSETS="${LIB_SUBSETS} "
@@ -19799,8 +19799,8 @@
 	esac
 fi
 
-test "$with_widec"     = yes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
-test "$with_ext_funcs" = yes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
+test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
+test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
 echo "$as_me:19805: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
@@ -19930,7 +19930,7 @@
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 # libtool thinks it can make c++ shared libraries (perhaps only g++)
-if test "$cf_with_cxx" = yes ; then
+if test "x$cf_with_cxx" = xyes ; then
 echo "$as_me:19934: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
@@ -19994,7 +19994,7 @@
 fi
 
 # do not want -ldl in build except as needed for -lncurses dependency
-if test "$with_dlsym" = yes ; then
+if test "x$with_dlsym" = xyes ; then
 if test $DFT_LWR_MODEL = shared || \
    test $DFT_LWR_MODEL = libtool ; then
 
@@ -20008,7 +20008,7 @@
 # TICS_LIST and TINFO_LIST are needed to build libtic.so and libterm.so, but
 # do not need libdl
 TICS_LIST=
-if test "$with_dlsym" = yes ; then
+if test "x$with_dlsym" = xyes ; then
 
 # remove dl library from $SHLIB_LIST
 TINFO_LIST=`echo "$SHLIB_LIST" | sed -e 's/-ldl[ 	]//g' -e 's/-ldl$//'`
@@ -20017,7 +20017,7 @@
 
 if test "$with_ticlib" != no ; then
 
-	if test "$with_ticlib" != yes ; then
+	if test "x$with_ticlib" != xyes ; then
 		TICS_NAME=$with_ticlib
 		TICS_ARG_SUFFIX="${with_ticlib}`echo ${DFT_ARG_SUFFIX}|sed -e "s/^${LIB_SUFFIX}//"`"
 		TICS_DEP_SUFFIX="${with_ticlib}`echo ${DFT_DEP_SUFFIX}|sed -e "s/^${LIB_SUFFIX}//"`"
@@ -20036,7 +20036,7 @@
 
 if test "$with_termlib" != no ; then
 
-	if test "$with_termlib" != yes ; then
+	if test "x$with_termlib" != xyes ; then
 		TINFO_NAME=$with_termlib
 		TINFO_SUFFIX="`echo ${DFT_LIB_SUFFIX}|sed -e "s/^${LIB_SUFFIX}//"`"
 		TINFO_ARG_SUFFIX="${with_termlib}`echo ${DFT_ARG_SUFFIX}|sed -e "s/^${LIB_SUFFIX}//"`"
@@ -20077,7 +20077,7 @@
 	TINFO_NAME=${LIB_NAME}
 	TINFO_SUFFIX=${DFT_LIB_SUFFIX}
 	TINFO_ARG_SUFFIX=${LIB_NAME}${DFT_ARG_SUFFIX}
-	if test "$with_tic_depends" = yes ; then
+	if test "x$with_tic_depends" = xyes ; then
 		TICS_LIST="$SHLIB_LIST -l${LIB_NAME}${DFT_ARG_SUFFIX}"
 	else
 		TICS_LIST="$SHLIB_LIST"
@@ -20096,7 +20096,7 @@
 	esac
 fi
 
-if test "$with_dlsym" = yes ; then
+if test "x$with_dlsym" = xyes ; then
 
 # remove dl library from $TICS_LIST
 TICS_LIST=`echo "$TICS_LIST" | sed -e 's/-ldl[ 	]//g' -e 's/-ldl$//'`
@@ -20515,32 +20515,32 @@
 
 ### Define substitutions for header files to avoid name-pollution
 
-if test "$cf_cv_have_tcgetattr" = yes ; then
+if test "x$cf_cv_have_tcgetattr" = xyes ; then
 	HAVE_TCGETATTR=1
 else
 	HAVE_TCGETATTR=0
 fi
 
-if test "$ac_cv_header_termio_h" = yes ; then
+if test "x$ac_cv_header_termio_h" = xyes ; then
 	HAVE_TERMIO_H=1
 else
 	HAVE_TERMIO_H=0
 fi
 
-if test "$ac_cv_header_termios_h" = yes ; then
+if test "x$ac_cv_header_termios_h" = xyes ; then
 	HAVE_TERMIOS_H=1
 else
 	HAVE_TERMIOS_H=0
 fi
 
 ################################################################################
-test "$use_database" = yes && \
+test "x$use_database" = xyes && \
 SUB_MAKEFILES="$SUB_MAKEFILES misc/run_tic.sh:misc/run_tic.in"
 
 SUB_MAKEFILES="$SUB_MAKEFILES misc/ncurses-config:misc/ncurses-config.in"
 SUB_MAKEFILES="$SUB_MAKEFILES man/ncurses${DFT_ARG_SUFFIX}${cf_cv_abi_version}-config.1:man/MKncu_config.in"
 
-if test x"$enable_pc_files" = xyes ; then \
+if test "x$enable_pc_files" = xyes ; then \
 SUB_MAKEFILES="$SUB_MAKEFILES misc/gen-pkgconfig:misc/gen-pkgconfig.in"
 MAKE_PC_FILES=
 else
Index: dist.mk
Prereq:  1.889 
--- ncurses-5.9-20120901+/dist.mk	2012-09-01 15:32:47.000000000 +0000
+++ ncurses-5.9-20120902/dist.mk	2012-09-02 16:58:18.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.889 2012/09/01 15:32:47 tom Exp $
+# $Id: dist.mk,v 1.890 2012/09/02 16:58:18 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20120901
+NCURSES_PATCH = 20120902
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian/changelog
--- ncurses-5.9-20120901+/package/debian/changelog	2012-09-01 15:32:47.000000000 +0000
+++ ncurses-5.9-20120902/package/debian/changelog	2012-09-02 16:58:43.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20120901) unstable; urgency=low
+ncurses6 (5.9-20120902) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 01 Sep 2012 11:32:43 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 02 Sep 2012 12:58:41 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/ncurses.spec
--- ncurses-5.9-20120901+/package/ncurses.spec	2012-09-01 15:32:47.000000000 +0000
+++ ncurses-5.9-20120902/package/ncurses.spec	2012-09-02 16:58:25.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20120901
+Version: 20120902
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
